mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
From: Bastian Stender <bst@pengutronix.de>
To: ptxdist@pengutronix.de
Cc: Bastian Stender <bst@pengutronix.de>
Subject: [ptxdist] [PATCH] create_docs: fix copy destination
Date: Tue,  3 Jan 2017 17:01:13 +0100	[thread overview]
Message-ID: <20170103160113.22965-1-bst@pengutronix.de> (raw)

Collecting files from doc/_static in a BSP lead to two nested _static
directories. This results in broken javascript and image links in the
html documentation.

Signed-off-by: Bastian Stender <bst@pengutronix.de>
---
 bin/ptxdist | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/bin/ptxdist b/bin/ptxdist
index 59a39ef56..445cf7270 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -1232,7 +1232,7 @@ create_docs() {
 	ptxd_in_path PTXDIST_PATH doc &&
 	for dir in "${ptxd_reply[@]}"; do
 		for entry in $(cd "${dir}"; ls); do
-			cp -an "${dir}/${entry}" "${srcdir}/${entry}" || return
+			cp -an "${dir}/${entry}" "${srcdir}/" || return
 		done
 	done &&
 	sphinx-build -b "${builder}" -d "${outdir}/.doctrees" "${srcdir}" \
-- 
2.11.0


_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de

                 reply	other threads:[~2017-01-03 16:01 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20170103160113.22965-1-bst@pengutronix.de \
    --to=bst@pengutronix.de \
    --cc=ptxdist@pengutronix.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox